Bug 658367 - [RFE] Provide channel last_modified value via api
Summary: [RFE] Provide channel last_modified value via api
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API
Version: 540
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomas Lestach
QA Contact: Šimon Lukašík
URL:
Whiteboard:
Depends On:
Blocks: sat54-errata
TreeView+ depends on / blocked
 
Reported: 2010-11-30 07:00 UTC by Šimon Lukašík
Modified: 2011-01-18 12:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This update adds an API call that provides access to the channel last_modified value. This helps users to identify whether the channel repodata are stale or not.
Clone Of:
Environment:
Last Closed: 2010-12-16 15:45:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0991 0 normal SHIPPED_LIVE Red Hat Network Satellite bug fix and enhancement update 2010-12-16 15:44:21 UTC

Description Šimon Lukašík 2010-11-30 07:00:01 UTC
Description of problem:
Provide channel last_modified value via satellite frontend api
call. It may help users f.e. to identify whether are the channel
repodata stale or not.


This issue has been already resolved upstream.
spacewalk.git: a4e5de76986b6b2a613bea8bc3dad3e55332c1dc

Comment 1 Tomas Lestach 2010-11-30 12:34:34 UTC
Moving to MODIFIED since the commit is already in #Description.

Comment 4 Šimon Lukašík 2010-12-07 10:38:19 UTC
Changing to VERIFIED:

Testing procedure:
Automated script
  Compare values against getChannelLastBuildById
  Before and after the sync.

Verified against:
spacewalk-java-1.2.39-33.el5sat

Thanks for this, Tomas!

Comment 6 errata-xmlrpc 2010-12-16 15:45:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0991.html

Comment 7 Jaromir Hradilek 2010-12-16 16:36:31 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update adds an API call that provides access to the channel last_modified value. This helps users to identify whether the channel repodata are stale or not.

Comment 8 Stephan Dühr 2011-01-18 08:07:33 UTC
The quality of this erratum should be enhanced, because:
- it mentions an added API call but not the name of the new API call
- it does not mention, that the existing API call channel.software.getDetails was changed and that it now returns an last_modified also
- at least the API documentation should mention this

Comment 10 Tomas Lestach 2011-01-18 08:37:44 UTC
Hey Stephan, you're right. The erratum text says incorrectly there's a new API call, instead of just enhancing the extended channel.software.getDetails. Sorry for confusion.
But API documentation look good to me.
Return struct of getDetails contains:
 dateTime.iso8601 "last_modified"
Just check /rhn/apidoc/handlers/ChannelSoftwareHandler.jsp#getDetails on your updated satellite.

Comment 11 Stephan Dühr 2011-01-18 11:30:22 UTC
Thanks, good to know. I didn't think that the local documentation is more recent.
Then it's only missing in the public docs
http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/API_Overview/handlers/ChannelSoftwareHandler.html#getDetails

Comment 12 Tomas Lestach 2011-01-18 12:16:32 UTC
API Documentation available at rhn/apidoc/index.jsp on your satellite always reflects your available API. (It basically changes with every spacewalk-java erratum.)

Public documentation for RHN Satellite 5.4 available on http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/API_Overview/index.html describes API of released RHN Satellite 5.4 (so, no errata changes are reflected).


Note You need to log in before you can comment on or make changes to this bug.